Bug 21056 - /lib/modules world-writable!
Summary: /lib/modules world-writable!
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-18 19:47 UTC by orders1
Modified: 2007-03-27 03:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-19 03:15:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description orders1 2000-11-18 19:47:33 UTC
Installing kernel-2.4.0-0.37 (i686), and possibly any other flavor of the
same version, leaves /lib/modules world-writable!

Comment 1 orders1 2000-11-19 02:47:13 UTC
Same thing for any subdirectories under /lib/modules/{version}

Comment 2 orders1 2000-11-19 02:50:28 UTC
Also /etc/pcmcia and /etc/pcmcia/ and subdirs

Comment 3 orders1 2000-11-19 03:15:07 UTC
And
/usr/include/asm
/usr/include/linux
/usr/src/2.4.0
/usr/src/2.4.0/pcmcia-cs-3.1.21/*/.depfiles

Comment 4 Bill Nottingham 2000-11-19 05:52:59 UTC
build error. Will be fixed in the next build of the package.


Note You need to log in before you can comment on or make changes to this bug.